lomiri-push-service (0.90.0) UNRELEASED; urgency=medium

  * Non-maintainer upload.

 -- Rodney Dawes <dobey@ubports.com>  Tue, 13 Apr 2021 16:14:28 -0400

ubuntu-push (0.69+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Fri, 13 Oct 2017 19:39:55 +0200

ubuntu-push (0.68+16.10.20161003-0ubuntu1) yakkety; urgency=medium

  * Drops dead dependencies, replaces them with newer ones.

 -- Jonas G. Drange <jonas.drange@canonical.com>  Mon, 03 Oct 2016 11:10:45 +0000

ubuntu-push (0.68+16.10.20160825.4-0ubuntu1) yakkety; urgency=medium

  [ Arthur Mello ]
  * Fix check for empty package name when receiving notifications from
    legacy deb apps (LP: #1611848)

 -- Arthur Renato Mello <arthur.mello@canonical.com>  Thu, 25 Aug 2016 21:43:59 +0000

ubuntu-push (0.68+16.10.20160808.1-0ubuntu1) yakkety; urgency=medium

  * No change rebuild for UAL ABI change

 -- Ted Gould <ted@gould.cx>  Mon, 08 Aug 2016 21:50:48 +0000

ubuntu-push (0.68+16.10.20160718.4-0ubuntu1) yakkety; urgency=medium

  [ Arthur Mello ]
  * Update ubuntu-push to work wih the new Notification panel
  * Add ignore files to docs/example-server
  * Mark helper as done only once we have sent the output so to order
    things

  [ jonas-drange ]
  * disable logger tests that expect log.Lshortfile on ppc/arm 64
  * remove unused sess variable

 -- Jonas G. Drange <jonas.drange@canonical.com>  Mon, 18 Jul 2016 13:28:13 +0000

ubuntu-push (0.68+16.04.20160503.4-0ubuntu1) xenial; urgency=medium

  [ Jonas G. Drange, Simon Fels, Timo Jyrinki, jonas-drange ]
  * Correctly refer to NMState as “State”, not “state”, as the move from
    gdbus-lib to gdbus requires it. (LP: #1575184, #1517189, #1469398)

 -- Simon Fels <simon.busch@canonical.com>  Tue, 03 May 2016 12:05:11 +0000

ubuntu-push (0.68+16.04.20160310.2-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * deprecate the usage of Info in the systemimage module and replace it
    with Information disable runtime cgo pointer checks (LP: #1517189,
    #1469398)

 -- Barry Warsaw <ci-train-bot@canonical.com>  Thu, 10 Mar 2016 21:35:55 +0000

ubuntu-push (0.68+16.04.20160114-0ubuntu1) xenial; urgency=medium

  * Handle gccgo on s390x. (LP: #1517189, #1469398)

 -- Rodney Dawes <ci-train-bot@canonical.com>  Thu, 14 Jan 2016 21:13:22 +0000

ubuntu-push (0.68+16.04.20151210-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * use Notifications dbus API to play sounds (LP: #1517189, #1469398)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Thu, 10 Dec 2015 10:16:28 +0000

ubuntu-push (0.68+16.04.20151203-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ jonas-drange ]
  * present a notification even though the screen is locked (LP:
    #1517189, #1469398)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Thu, 03 Dec 2015 14:56:24 +0000

ubuntu-push (0.68+16.04.20151130-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)
  * New rebuild forced.

  [ John R. Lenton ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ Michael Hudson-Doyle ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ Rodney Dawes ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ Samuele Pedroni (Canonical Services Ltd.) ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ jonas-drange ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Mon, 30 Nov 2015 21:16:20 +0000

ubuntu-push (0.68+15.10.20150814.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Samuele Pedroni (Canonical Services Ltd.) ]
  * address lp:1451510 aggressively finding gone notifications in Tags()
    truncate runtime.Stack result to size, otherwise we log \x00s or old
    stuff (LP: #1451510)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 14 Aug 2015 14:05:16 +0000

ubuntu-push (0.68+15.04.20150430.1-0ubuntu2~ppa1) wily; urgency=medium

  [ John R. Lenton ]
  * go's compatibility promise fails us again; fixes for 1.4.

 -- John R. Lenton <john.lenton@canonical.com>  Fri, 31 Jul 2015 13:52:04 +0100

ubuntu-push (0.68+15.04.20150430.1-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 16:10:40 +0000

ubuntu-push (0.68+15.04.20150430.1-0ubuntu1) vivid; urgency=medium

  [ Samuele Pedroni ]
  * switch poller to use killswitch state for WLAN instead of
    misleading NM property (LP: #1446584)
  * don't have goroutines from a previous test overlap with the next,
    races gets detected otherwise
  * have the TestDialWorksDirect* tests quickly timeout, go1.3 wants a
    ServerName set in the tls config for them to work
  * fix flaky test
  * support sha384/512 certs, some exercizing of that
  * let send a build number with acceptanceclient
  * add helper to get int out of ConnectMsg Info

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 30 Apr 2015 15:08:57 +0000

ubuntu-push (0.68+15.04.20150403-0ubuntu1) vivid; urgency=medium

  [ Samuele Pedroni ]
  [Roberto Alsina]
  * click-hook: report failure if hooks_path doesn't exist. [client]

  [Bret Barker]
  * add a hacky busy sleep loop to workaround go's sleep not
    accounting for suspended time, more logging (lp:1435109). [client]

  [John R. Lenton]
  * Refactor code maintaining session (better fix for lp:1390663) [client]

  [Samuele Pedroni]
  * just delegate whether there's a update-worthy image to the
    system-settings helper and system-image. [client]
  * stop waking up for polling if in flight-mode and wireless not
    enabled (lp:1437135). [client]
  * don't hold a lock for a long time on handleErrConn, trigger
    autoRedial on Error more actively (lp:1435109). [client]
  * disallow RC4 and SSLv3. [server]

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 03 Apr 2015 13:27:44 +0000

ubuntu-push (0.68+15.04.20150306.2-0ubuntu1) vivid; urgency=medium

  [ John R. Lenton ]
  * Use settings from org.freedesktop.Accounts for silent mode, when to
    vibrate, and default sound. [client] (LP: #1426418, LP: #1427702)

  [ Samuele "Yak Shaver of the Year" Pedroni ]
  * Closing webchecker (avoids leaving goroutines around in testing). [client]
  * WatchSignal cancelling, and connectivity exposed cancelling, make
    connectivity start not leave watches behind (more goroutine
    cleanup). [client]
  * TestTakeTheBusWorks doesn't block anymore, fixed leaking of
    webcheckers. [client]

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 06 Mar 2015 13:27:06 +0000

ubuntu-push (0.67+15.04.20150209-0ubuntu1) vivid; urgency=medium

  [ John R. Lenton ]
  * Updated precommit script. [dev]
  * Include code examples in docs (instead of repeating). [docs]
  * Cleanup and improve logging, and make log messages more
    consistent. [client]
  * Partially work around bug lp:1390663 in a minimally intrusive way
    (real fix will have to wait). [client]
  * Add an explicit check and log message for nil error on webcheck's
    CopyN. [client]

  [ Samuele Pedroni ]
  * Make tests more robust in the face of go 1.3 [client, server]
  * Introduce StartClientAuthFlex for acceptance tests: Start a client
    with auth, take a devId regexp, don't check any client event; support
    connbroken in acceptanceclient. [server]
  * Clean up goroutines in tests. [client]
  * Workaround gc issue with 1.3 and 32 bits. Fixes FTBFS. [client]

  [ Bret Barker ]
  * Add SIGQUIT handler to spit out stack dumps; more logging
    tweaks. [client, server]
  * Log line nums, enabled when logLevel = debug. [client server]

  [ Roberto Alsina ]
  * Adds a couple of buttons to exercise more APIs, version bump to
    0.44. [sample app]

  [ Guillermo Gonzalez ]
  * Add APIError to server/acceptance/kit that includes the body for
    debugging. [server]
  * Add DisableKeepAlives and MaxIdleConnsPerHost to the APIClient
    SetupClient method. [server]

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Feb 2015 11:08:02 +0000

ubuntu-push (0.66+15.04.20141211-0ubuntu1) vivid; urgency=medium

  [ Roberto Alsina ]
  * Change the example app to use declared states.
  * Add section describing limitations of the server API.

  [ Bret Barker ]
  * Fixes to PACKAGE_DEPS for client tests.

  [ Guillermo Gonzalez ]
  * Add 2 new errors for the server: ErrMissingUserId and
    ErrWrongRequestMethodGET.
  * When The server reply 401 on /register, make the DBus call to Register
    return ErrBadAuth instead of ErrBadRequest.
  * Add support to media-type in the Content-Type check at server/api
    handlers.

  [ Samuele Pedroni ]
  * Server-side logging improvements.
  * Make tests more robust in the face of 1.3.

  [ John R. Lenton ]
  * Client-side logging improvements (including: loglevel defaults to info).
  * Updated precommit script.
  * Include code examples in docs (instead of repeating).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Dec 2014 16:56:31 +0000

ubuntu-push (0.65+15.04.20141103-0ubuntu1) vivid; urgency=medium

  [ John R. Lenton ]
  * Make the common service Start(..) method take init, so we can listen for methods once everything is set up and not before.

  [ Roberto Alsina ]
  * Documentation fixes

  [ Guillermo Gonzalez ]
  * Fix click hook for legacy apps
  * Add ClearCookie method to the session and call it from handleAccountsChange.
  * click.AppId.SymbolicIcon() now tries to use X-Ubuntu-SymbolicIcon and then fallback to icon+"-symbolic"

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 13:36:11 +0000

ubuntu-push (0.64.1+14.10.20141023.2~rtm-0ubuntu1) 14.09; urgency=low

  [ John R. Lenton ]
  * make the common service Start(..) method take init, so we can listen
    for methods once everything is set up and not before. (LP: #1383867)

  [ Guillermo Gonzalez ]
  * Add ClearCookie method to the session and call it from
    handleAccountsChange.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 23 Oct 2014 20:17:12 +0000

ubuntu-push (0.64.1+14.10.20140910-0ubuntu1) utopic; urgency=medium

  [ Roberto Alsina ]
  * Don't show popups if the screen is locked.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Sep 2014 18:03:25 +0000

ubuntu-push (0.64+14.10.20140908-0ubuntu1) utopic; urgency=medium

  [ Roberto Alsina ]
  * Remove tokens from debug output
  * Doc updates
  * Included example code in docs directory

  [ John R. Lenton]
  * Use libaccounts to track changes to the u1 account used for auth; restart the session on change.
  * Set the MEDIA_PROP env var to select the right media role for notification sounds

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Sep 2014 18:05:11 +0000

ubuntu-push (0.63.2+14.10.20140902.1-0ubuntu1) utopic; urgency=medium

  [ Roberto Alsina ]
  * Avoid busy-loop wben powerd doesn't respond.

  [ Guillermo Gonzalez ]
  * Replace DBus url-dispatcher API with liburl-dispatcher1 C API.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Sep 2014 17:28:19 +0000

ubuntu-push (0.63.1+14.10.20140828-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Support taking a cookie from the server and sending it back on connect (feature was incomplete).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Aug 2014 19:15:56 +0000

ubuntu-push (0.63+14.10.20140827-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Support taking a cookie from the server and sending it back on connect.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Aug 2014 18:47:25 +0000

ubuntu-push (0.62+14.10.20140825.1-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Avoid rare race in kindpool_test.go

  [ John R. Lenton]
  * Interface with account-polld's dbus api.
  * Powerd integration.
  * Use symbolic icon for secondary icon in notification.

  [Roberto Alsina]
  * Log legacy helper failures.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 16:40:29 +0000

ubuntu-push (0.61+14.10.20140812.4-0ubuntu1) utopic; urgency=medium

  [ Guillermo Gonzalez ]
  * Update autopilot tests to work with 0.50, fix setup.sh issues and add new tests for the broadcast notification changes.
  * Replace whoopsie with /var/lib/dbus/machine-id to get the device ID.

  [ John R. Lenton]
  * Support simpler sounds API.
  * Support simpler vibrations API.
  * Remove Vibration's confusing and redundant Duration attribute.
  * Change PostalService's New() to take a setup object.
  * goctest.
  * Make messaging menu entries show current time instead of epoch for timestamp of 0.
  * Tweak the upstart script, start after unity.
  * Correctly report invalid app ids, missing apps, and package/app id mismatches as separate errors over dbus.

  [Roberto Alsina]
  * Check that sound paths don't go up into the tree.
  * Initial draft of QML-based doc

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 12 Aug 2014 02:33:16 +0000

ubuntu-push (0.60+14.10.20140804-0ubuntu1) utopic; urgency=medium

  [ Guillermo Gonzalez ]
  * Add click hook to collect helpers data on install/update/etc and
    support to read the helper cached data, when available, and only
    refresh it when it changes.
  * Include notification settings cleanup in the click install hook, and
    rename it to click-hook

  [ John R. Lenton ]
  * For the gsettings interface: Improve, add tests, make design-compliant.

  [Roberto Alsina]
  * Query gsettings as to whether a notification should be presented.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 04 Aug 2014 15:38:34 +0000

ubuntu-push (0.50+14.10.20140801-0ubuntu1) utopic; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 01 Aug 2014 02:15:29 +0000

ubuntu-push (0.50+14.10.20140729-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Cleanup and improve post/Post tests

  [ Guillermo Gonzalez ]
  * Add a loop to cleanup MessagingMenu.notifications map when the
    notifications are dismissed.
  * Add TestURL to URLDispatcher and update DispatchURL signature.
  * Add validateActions (check with url-dispatcher->TestURL) method to the
    PostalService and wire it in messageHandler.

  [ John R. Lenton ]
  * Implement ListPersistent/ClearPersistent/SetCounter postal endpoints.
  * Remove snap decisions support.
  * Remove the notification from the messaging menu when the bubble is
    acted on.
  * Don't run more than 5 helpers at a time, and never more than one per app.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 16:57:35 +0000

ubuntu-push (0.49.1+14.10.20140723.1-0ubuntu1) utopic; urgency=medium

  [ John R. Lenton ]
  * Fixed push-helper click hook pointing at the wrong place.
  * Made exec-tool executable.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 23 Jul 2014 14:09:31 +0000

ubuntu-push (0.49+14.10.20140721.2-0ubuntu1) utopic; urgency=medium

  [Samuele Pedroni]
  * Check in the api whether an app has pushed too many notifications.
  * Return payload of most recent notification in too many pending
    notifications API error.
  * Introduce clear_pending flag to clean everything pending for an app.
  * Refactor and cleanup.
  * Introduce replace_tag support in store and api, with acceptance test.
  * Teach a couple of trick to cmd/acceptanceclient: exit on run timeout,
    wait for event matching given regexp pattern.
  * Limit unicast data payload to 2K.
  * Payload should be json (fixes message needing to be base64-encoded in
    helper reply)
  * Implement limited mboxes
  * Refactor and cleanup of things done in haste by Chipaca.

  [Richard Huddie]
  * autopilot test framework and basic coverage of broadcast notifications.

  [Guillermo Gonzalez]
  * Add scripts to simplify setup/run of the autopilot tests in the
    device/emulator and include basic unicast tests.
  * Add autopilot test for notification using the emblem counter.
  * Adds scenarios to the autopilot tests for legacy and click (without
    version) applications.
  * Broadcast via the helpers route.
  * Basic support for actions (only default action) in the persistent
    notifications.
  * Change PostBroadcast to send the broadcast message to the software
    updates helper.

  [John R. Lenton]
  * Detangle client and postal.
  * Introduce PostalService interface, and change the client tests to use
    that as much as reasonable.
  * Async invocation of helpers.
  * Give click.Click knowledge of helpers.
  * Write ual-based helper launcher.
  * Switch to the ual-based helper launcher unless the environment
    variable UBUNTU_PUSH_USE_TRIVIAL_HELPER is set.
  * Threw together an implementation of helpers for legacy applications.
  * Hacked up an initial software updates helper, to be handed off to the
    appropriate team shortly.

  [Roberto Alsina]
  * Wrap the (dbus) WindowStack API and add endpoint to the Postal service
    to support inhibition of notifications for focused apps.
  * Inhibit notifications for focused apps

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 21 Jul 2014 14:17:35 +0000

ubuntu-push (0.43+14.10.20140707-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Logic to support unregistering tokens lazily for uninstalled apps
  * Minimal wrapping of libclick to check if a package is installed for a user
  * Refactor and cleanup of cleanup/service

  [ John R. Lenton ]
  * Finalized DBus API (hopefully)
  * Support emblem counter notifications
  * Support haptic (vibration) notifications
  * Support sound notifications

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 07 Jul 2014 14:26:27 +0000

ubuntu-push (0.42+14.10.20140702-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Support registering tokens and sending notifications with a token
  * Register script and scripts unicast support
  * Update http13client from the actual go1.3 release
  * Avoid late pings in the face of nop exchanges
  * murmur3 upstream change of seed to 0

  [ Roberto Alsina ]
  * Make signing-helper generate a HTTP header instead of a querystring,
    and take a URL to sign.
  * Wrap libmessaging-menu to allow for persistent notifications.
  * Wrap ubuntu-app-launch start_helper / stop_helper functions.

  [ John R. Lenton ]
  * Switch dbus api to retrieve app name from dbus path.
  * Move signing bits up from session to client, for reuse by service.
  * Change AuthHelper to be a string; auth helper should now expect a
    parameter (the url to sign). Added SessionURL to config.
  * Adapt our whoopsie wrapper to whoopsie's now more correct behavior wrt
    failing to get a mac address.
  * Add registration_url to config; hook up auth bits and reg url to
    client & service.
  * Do an HTTP POST to registration_url on register.
  * Fix debian/rules so packaging-time tests pass (ugh)
  * Refactoring notification providers.
  * Get the small messaging-menu wrapper working (thanks larsu & dednick)

  [ Guillermo Gonzalez ]
  * Split DBus service into PushService and PostalService

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Jul 2014 13:14:03 +0000

ubuntu-push (0.3+14.10.20140605-0ubuntu1) utopic; urgency=medium

  [ John Lenton ]
  * New upstream release.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 05 Jun 2014 09:42:22 +0000

ubuntu-push (0.2.1+14.04.20140423.1-0ubuntu1) trusty; urgency=high

  [ Samuele Pedroni ]
  * gave the client the ability to get config from commandline
    ( => easier automated testing) (LP: #1311600)

  [ John Lenton ]
  * Ensure ubuntu-push-client is the only one running in the session.
    (LP: #1309432)
  * Remove supurious numbers in brackets in notifications. (LP: #1308145)
  * Check the server certificate and server name. (LP: #1297969)
  * Loop whoopsie_identifier_generate until it starts working. (LP: #1309237)
  * In the session: set a flag on connect, clear it on successfully
    replying to ping or broadcast messages, check it at the top of
    autoredial. Also track the last autoredial, and set the delay flag if
    autoredial is re-called too quickly. (LP: #1309231)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 23 Apr 2014 11:54:00 +0000

ubuntu-push (0.2+14.04.20140411-0ubuntu1) trusty; urgency=medium

  [ John Lenton ]
  * New upstream release.

  [ Richard Huddie ]
  * added basic autopilot framework
  * configparser and http post updates
  * removed tests folder

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Apr 2014 18:31:57 +0000

ubuntu-push (0.1+14.04.20140404-0ubuntu1) trusty; urgency=low

  [ Tarmac ]
  * Merge automatic into trunk.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Apr 2014 14:52:06 +0000

ubuntu-push (0.1+14.04.20140327-0ubuntu1) trusty; urgency=medium

  [ John Lenton ]
  * got rid of multiarch bug

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Mar 2014 14:11:31 +0000

ubuntu-push (0.1+14.04.20140325.2-0ubuntu1) trusty; urgency=low

  [ Diogo Baeder de Paula Pinto ]
  * [r=pedronis] Adding authorization field to the ConnectMsg struct

  [ Robert Bruce Park ]
  * [r=chipaca] Minor cleanup, with wrap-and-sort.

  [ Nicola Larosa ]
  * [r=pedronis] Reflow comments so that subsequent changes are more
    readable. Only comment reflows, no other changes.
  * [r=pedronis] Clean up docs and comments, and make them look better
    in go doc. No behavior change at all.

  [ john.lenton@canonical.com ]
  * [r=pedronis] A thin wrapper around libwhoopsie/identifier.h.
  * [r=pedronis] A simplified (and more testable) dbus api
  * [r=pedronis] A simplified, testable, Network Manager wrapper
  * [r=pedronis] A super simple connectivity api (in the "am i
    connected?" sense)
  * [r=pedronis] Switched networkmanager to use the non-deprecated api
    for state.
  * [r=pedronis] moved the object proxy into the endpoint
  * [r=pedronis] Made the bus support multi-valued signals (preparatory
    for notifications). Also added tests for TestingBus.
  * [r=pedronis] notifications! first, a low-level api.
  * [r=pedronis] URLDispatcher (and extended endpoint.Call to return
    []interface{})
  * [r=pedronis] moved a bunch of packages under bus/
  * [r=pedronis] change a few of the bus/* services to take a
    bus.Endpoint instead of a bus.Bus
  * [r=pedronis] reworked bus.Endpoint to have a Dial() method, added an
    AutoRedialer() and put the redialing logic in there (for use on
    sessionbus as well, later).
  * [r=pedronis] Nuked the connectivity example.
  * [r=pedronis] Renamed bus/connectivity's Config to
    ConnectivityConfig.
  * [r=pedronis] Introducing AutoRetry, a generic AutoRetry.
  * [r=pedronis] Made bus.Endpoint's WatchSignal use an (exported)
    channel for waiting between sending values, if the channel is not
    nil.
  * [r=pedronis] The client session level map. Interesting as an
    interface and not much more, right now.
  * [r=pedronis] A wild client session appears!
  * [r=pedronis] get rid of a race in the bus/testing watchticker thing
  * [r=pedronis] The handling of the ping.
  * [r=pedronis,chipaca] Broadcasting your horizons.
  * [r=pedronis] The running man.
  * [r=pedronis] Starting to take shape.
  * [r=pedronis] Killed checkRunnable; renamed: Dial -> connect, run ->
    loop.
  * [r=pedronis] Ladies and gentlemen, the client session.
  * [r=pedronis] first step of the v0 of the client
  * [r=pedronis] second step of the v0 of the client: getting the device
    id
  * [r=pedronis] part 3: setting up the bus
  * [r=pedronis] Part 4: added State to client/session, to aid in
    testing some aspects of this.
  * [r=pedronis] added handleConnState
  * [r=pedronis] Several things: features:. * bus/testing/'s Endpoint
    now tracks Calls; call bus/testing.GetCallCargs(endp) to get the
    list. * Client.handleErr, Client.handleNotification and
    Client.handleClick (and tests) cleanups:. * renamed client's
    Client's connState to hasConnectivity * split out code from
    handleConnState into initSession/connectSession/disconnectSession
  * [r=pedronis] Several things: features:. * Client.doLoop, the puppet
    master. fixes and cleanups:. * added log_level to client config *
    added the mysterious sessionRetryCh, used in doLoop to avoid a
    rather common starvation scenario. * found a way not to panic out in
    initSession (not that it's much better) * unified logging in the
    client tests a bit * added logging to session's start error states.
  * [r=pedronis] Reworked or refactored util/redialer, and a bit of
    client/session, and client.
  * [r=pedronis] TestLogger
  * [r=pedronis] and this completes the client library (for now)
  * [r=pedronis] made GetSourceRelative look at the environ to help make
    the tests pass in packaging
  * [r=pedronis] Gave client a constructor, moved setting config file to
    there.
  * [r=pedronis] change the levelmap interface to return errors
  * [r=pedronis] this is sqlevelmap
  * [r=pedronis] bring sqlevelmap into session
  * [r=pedronis] and this gives the client the ability to persist its
    session's levelmap
  * [r=pedronis] The Push Client itself.
  * [r=diogobaeder] Merging the packaging branch (to get on the CI
    train).
  * [r=didrocks] Fixes to packaging, as suggested by didrocks.
  * Bring back source/format, so executable .install file works.

  [ Timo Jyrinki ]
  * [r=chipaca] Add http13client copyright information and use GPL-3.0
    (non-+) license consistently.

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Samuele Pedroni (Canonical Services Ltd.) ]
  * [r=chipaca] and as a start we get some protocol support and a
    development server and infrastructure
  * [r=chipaca] couple of extra tests and changes to improve test
    coverage
  * [r=chipaca] -insecure (don't check certs) -reportPings=f (don't
    report pings) flags for acceptanceclient
  * [r=chipaca] make the tracker used by the session for logging
    pluggable
  * [r=chipaca] introduce CONNACK message from the server after CONNECT
    to inform the client of connection params like ping interval
  * [r=chipaca] protocol diagrams using graphviz
  * [r=chipaca] introduce middleware in the http handling that recovers
    and converts panics into 500 errors, profit (remove 500 ad hoc code)
  * [r=bloodearnest] log some debug info about runtime configuration of
    the dev server; also tweak play-around config.json with some
    slightly saner values
  * [r=chipaca] teach config how to behave with anonymous fields,
    unexported fields, and to compose a config reading from many files;
    move some shared/sharable things into testing/
  * [r=chipaca] make server/dev into composable pieces, somewhat big
    mostly because of lots of shuffling around
  * [r=chipaca] populate /server with the runners code; generalize
    acceptance.sh
  * [r=chipaca] exchanges don't require to be so tied to a particular
    broker
  * [r=chipaca] put simple broker in its own package, reorg most of its
    tests as a common testsuite; fix TestBroadcast to test what it says
    on the tin
  * [r=chipaca] introduce reusable TestBrokerConfig and
    TestBrokerSession
  * [r=chipaca] check that the data field is not missing
  * [r=pedronis] [trivial ]support supplying auxiliary configs to the
    server in acceptance tests
  * [r=chipaca] some more info reported out of session, some tweaks
  * [r=chipaca] add indirection to accessing the broadcast exchanges on
    the broadcast queue in the broker suite
  * [r=chipaca] fix corner cases like client level too ahead etc, with
    acceptance tests
  * [r=chipaca] base the simple logger only on having a log.Logger-style
    Output(); given this we can introduce a testing.TestLogger that does
    redirecting of logs to the gocheck.C object if wired in SetUpTest
    and also does its own capture
  * [r=chipaca] use TestLogger in more places
  * [r=chipaca] be explicit with the MinLogger interface, stops 1.1
    compiler from exploding
  * [r=pedronis] [trivial] reorg imports in: config logger protocol
    server testing as: stdlib -- 3rdparty -- own
  * [r=pedronis] [trivial] use Assert in place of Check to sanity check
    api http reqs in acceptance; use a longer ping in
    TestSessionLoopExchangeNextPing
  * [r=chipaca] add support for expiration of broadcasts with trivial
    implementation in the in-memory pending store
  * [r=chipaca] starting splitting out helpers in the acceptance tests
  * [r=chipaca] restructure acceptance tests into reusable suites
  * [r=chipaca] add acceptance test about broadcast expiration
  * [r=diogobaeder] simplify acceptance test; don't hide that
    MakeHandlersMux returns a *http.ServeMux
  * [r=verterok] add some flexibility in how the requests get the store;
    log unexpected store related errors
  * [r=teknico] expose a couple of helpers for reuse
  * [r=pedronis] further small doc cleanups
  * [r=teknico] * fix the fact that exchanges were reusing broadcast
    messages but the split state of those wasn't reset fix naming in
    tests that was reversed.
  * [r=teknico] refactor acceptance tests to expose more hooking
    points/details
  * [r=pedronis] [trivial] variable spelling
  * [r=pedronis] [trivial] hook to massage requests sent to the http api
    server by the acceptance test suite
  * [r=chipaca] let the device listener setup code also take a prebuilt
    listener
  * [r=chipaca] vendor the go 1.3 development net/http bits which
    properly/better support timeouts for requests; see _using.txt and
    Makefile for the recipe in http13client
  * [r=chipaca] add timeing out to webhecker using the vendorized go 1.3
    net/http in http13client
  * [r=chipaca] introduce package gethosts implementing finding hosts to
    connect to for delivery of notifications

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Mar 2014 17:27:09 +0000

ubuntu-push (0.1-0ubuntu1) trusty; urgency=medium

  * Getting ready for CI train.

 -- John Lenton <john.lenton@canonical.com>  Thu, 20 Mar 2014 12:20:13 +0000

ubuntu-push (0.1-0pre4) trusty; urgency=medium

  * Pointing it to staging. Building a source package.

 -- John Lenton <john.lenton@canonical.com>  Fri, 07 Feb 2014 19:35:50 +0000

ubuntu-push (0.1-0pre3) trusty; urgency=medium

  * first one with a config file and upstart thingie!

 -- John Lenton <john.lenton@canonical.com>  Fri, 07 Feb 2014 11:29:36 +0000

ubuntu-push (0.1-0pre2) trusty; urgency=medium

  * A lot closer!

 -- John Lenton <jlenton@gmail.com>  Thu, 06 Feb 2014 17:31:39 +0000

ubuntu-push (0.1-0pre1) trusty; urgency=low

  * Initial release

 -- John Lenton <john.lenton@canonical.com>  Sun, 26 Jan 2014 22:53:09 +0000
